$AdfDhtmlConveyorBeltPeer$$.$_SUB_ID_MAP$ = {previous_overflow_indicator:"buttonPrev", next_overflow_indicator:"buttonNext"};
$AdfDhtmlConveyorBeltPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlConveyorBeltPeer$$$$$GetSubIdDomElement$$($subElementIdLocator$$2$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementIdLocator$$2$$);
  var $component$$1811$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($subElementIdLocator$$2$$, $AdfDhtmlConveyorBeltPeer$$.$_SUB_ID_MAP$, $component$$1811$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlConveyorBeltPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlConveyorBeltPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlConveyorBeltPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlConveyorBeltPeer$$$$$GetBestMatchSubId$$($domElement$$551$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$551$$, this, $AdfDhtmlConveyorBeltPeer$$.$_SUB_ID_MAP$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlConveyorBeltPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlConveyorBeltPeer$$.prototype.$GetBestMatchSubId$});
